# AddOn Tile Proc (c) 2014 Atom

bl_info = {
    "name": "Tile Proc",
    "author": "Atom",
    "version": (1,1),
    "blender": (2, 7, 1),
    "location": "Bottom of object context panel.",
    "description": "Manages a list of objects to be used in procedural generation of landscapes/roads.",
    "warning": "This is a parametric object.",
    "wiki_url":"",
    "tracker_url": "",
    "category": "Add"}

#modules = ("util", "properties", "events", "operators", "ui")
modules = ("util", "properties", "operators", "auto_drive", "ui")
if "bpy" in locals():
    import imp
    for mod in modules:
        exec("imp.reload(%s)" % mod)
else:
    for mod in modules:
        exec("from . import %s" % mod)

import bpy
from bpy.types import AddonPreferences

class TileProcPreferences(AddonPreferences):
    # This must match the addon name, use '__package__'
    # when defining this in a submodule of a python package.
    bl_idname = "tile_proc"

    unit_size = bpy.props.IntProperty(name="Unit Size", description="The default size for tiles, in Blender units, in the system.", default = 8, min = 1, max = 128)
                
    def draw(self, context):
        self.layout.prop(self, "unit_size")
        
def register():
    bpy.utils.register_class(TileProcPreferences)
    properties.register()
    ui.register()
    auto_drive.register()
    operators.register()

def unregister():
    bpy.utils.unregister_class(TileProcPreferences)
    properties.unregister()
    ui.unregister()
    auto_drive.unregister()
    operators.unregister()
